---
title: DelayNode
slug: Web/API/DelayNode
tags:
  - API
  - Audio
  - DelayNode
  - Interface
  - Reference
  - Web Audio API
---
<div>{{APIRef("Web Audio API")}}</div>

<p><span class="seoSummary">The <strong><code>DelayNode</code></strong> interface represents a <a href="https://en.wikipedia.org/wiki/Digital_delay_line" title="Wikipedia: Digital delay line">delay-line</a>; an {{domxref("AudioNode")}} audio-processing module that causes a delay between the arrival of an input data and its propagation to the output.</span> A <code>DelayNode</code> always has exactly one input and one output, both with the same amount of channels.</p>

<p><img alt="The DelayNode acts as a delay-line, here with a value of 1s." src="https://mdn.mozillademos.org/files/9711/WebAudioDelayNode.png" style="height: 116px; width: 774px;"></p>

<p>When creating a graph that has a cycle, it is mandatory to have at least one <code>DelayNode</code> in the cycle, or the nodes taking part in the cycle will be muted.</p>

<table class="properties">
	<tbody>
		<tr>
			<th scope="row">Number of inputs</th>
			<td><code>1</code></td>
		</tr>
		<tr>
			<th scope="row">Number of outputs</th>
			<td><code>1</code></td>
		</tr>
		<tr>
			<th scope="row">Channel count mode</th>
			<td><code>"max"</code></td>
		</tr>
		<tr>
			<th scope="row">Channel count</th>
			<td><code>2</code> (not used in the default count mode)</td>
		</tr>
		<tr>
			<th scope="row">Channel interpretation</th>
			<td><code>"speakers"</code></td>
		</tr>
	</tbody>
</table>

<h2 id="Constructor">Constructor</h2>

<dl>
	<dt>{{domxref("DelayNode.DelayNode", "DelayNode()")}}</dt>
	<dd>Creates a new instance of an DelayNode object instance. Alternatively, you can use the {{domxref("BaseAudioContext.createDelay()")}} factory method.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("AudioNode")}}.</em></p>

<dl>
	<dt>{{domxref("DelayNode.delayTime")}} {{readonlyInline}}</dt>
	<dd>Is an <a href="/en-US/docs/Web/API/AudioParam#a-rate">a-rate</a> {{domxref("AudioParam")}} representing the amount of delay to apply, specified in seconds.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific methods; inherits methods from its parent, {{domxref("AudioNode")}}.</em></p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createDelay","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Audio API', '#DelayNode', 'DelayNode')}}</td>
			<td>{{Spec2('Web Audio API')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DelayNode")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
